Bug 1572490 - [abrt] xfce4-panel: exo_icon_view_get_cell_area(): xfce4-panel killed by SIGSEGV
Summary: [abrt] xfce4-panel: exo_icon_view_get_cell_area(): xfce4-panel killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-panel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:45c168d59e8d1e847c9f73b1088...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 07:06 UTC by Reverend Homer
Modified: 2018-11-30 21:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:16:24 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (45.29 KB, text/plain)
2018-04-27 07:06 UTC, Reverend Homer
no flags Details
File: cgroup (289 bytes, text/plain)
2018-04-27 07:06 UTC, Reverend Homer
no flags Details
File: core_backtrace (24.52 KB, text/plain)
2018-04-27 07:06 UTC, Reverend Homer
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2018-04-27 07:06 UTC, Reverend Homer
no flags Details
File: dso_list (11.58 KB, text/plain)
2018-04-27 07:06 UTC, Reverend Homer
no flags Details
File: environ (1.77 KB, text/plain)
2018-04-27 07:06 UTC, Reverend Homer
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-27 07:06 UTC, Reverend Homer
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-27 07:06 UTC, Reverend Homer
no flags Details
File: maps (56.37 KB, text/plain)
2018-04-27 07:06 UTC, Reverend Homer
no flags Details
File: mountinfo (3.75 KB, text/plain)
2018-04-27 07:06 UTC, Reverend Homer
no flags Details
File: open_fds (2.09 KB, text/plain)
2018-04-27 07:06 UTC, Reverend Homer
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-27 07:06 UTC, Reverend Homer
no flags Details

Description Reverend Homer 2018-04-27 07:06:26 UTC
Description of problem:
I did "dnf  groupremove GNOME"

Version-Release number of selected component:
xfce4-panel-4.12.1-4.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        xfce4-panel
crash_function: exo_icon_view_get_cell_area
executable:     /usr/bin/xfce4-panel
journald_cursor: s=c625e0d3d33049e6966a450e22638718;i=c23c;b=d53683fa66c842299fb4d4928020d1c2;m=119aef7c65;t=56acf1374bb82;x=bdbac23570774d54
kernel:         4.15.17-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 exo_icon_view_get_cell_area at exo-icon-view.c:3903
 #1 exo_icon_view_paint_item at exo-icon-view.c:4288
 #2 exo_icon_view_expose_event at exo-icon-view.c:2216
 #3 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:84
 #8 gtk_widget_event_internal at gtkwidget.c:5017
 #9 gtk_widget_send_expose at gtkwidget.c:4846
 #10 gtk_main_do_event at gtkmain.c:1623
 #11 _gdk_window_process_updates_recurse at gdkwindow.c:5479
 #14 _gdk_windowing_window_process_updates_recurse at gdkwindow-x11.c:5643
 #15 gdk_window_process_updates_internal at gdkwindow.c:5646

Potential duplicate: bug 975881

Comment 1 Reverend Homer 2018-04-27 07:06:32 UTC
Created attachment 1427519 [details]
File: backtrace

Comment 2 Reverend Homer 2018-04-27 07:06:34 UTC
Created attachment 1427520 [details]
File: cgroup

Comment 3 Reverend Homer 2018-04-27 07:06:35 UTC
Created attachment 1427521 [details]
File: core_backtrace

Comment 4 Reverend Homer 2018-04-27 07:06:37 UTC
Created attachment 1427522 [details]
File: cpuinfo

Comment 5 Reverend Homer 2018-04-27 07:06:38 UTC
Created attachment 1427523 [details]
File: dso_list

Comment 6 Reverend Homer 2018-04-27 07:06:40 UTC
Created attachment 1427524 [details]
File: environ

Comment 7 Reverend Homer 2018-04-27 07:06:42 UTC
Created attachment 1427525 [details]
File: exploitable

Comment 8 Reverend Homer 2018-04-27 07:06:43 UTC
Created attachment 1427526 [details]
File: limits

Comment 9 Reverend Homer 2018-04-27 07:06:45 UTC
Created attachment 1427527 [details]
File: maps

Comment 10 Reverend Homer 2018-04-27 07:06:47 UTC
Created attachment 1427528 [details]
File: mountinfo

Comment 11 Reverend Homer 2018-04-27 07:06:48 UTC
Created attachment 1427529 [details]
File: open_fds

Comment 12 Reverend Homer 2018-04-27 07:06:49 UTC
Created attachment 1427530 [details]
File: proc_pid_status

Comment 13 Kevin Fenzi 2018-04-27 20:03:18 UTC
So this happened while you were removing things? Or after that?

Comment 14 Reverend Homer 2018-04-28 06:06:12 UTC
This happened while I was removing gnome stuff. XFCE panel suddenly restarted and crash report appeared

Comment 15 Ben Cotton 2018-11-27 15:59:48 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2018-11-30 21:16:24 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.